ChartDirector Ver 5.0 (PHP Edition)

DrawArea.arc

Usage

arc(cx, cy, rx, ry, a1, a2, c)

Description

Draws a circular or elliptical arc.

Arguments

Argument | Default | Description
--- | --- | ---
cx | (Mandatory) | The x coordinate of the center of the circle or ellipse.
cy | (Mandatory) | The y coordinate of the center of the circle or ellipse.
rx | (Mandatory) | The horizontal radius of the circle or ellipse.
ry | (Mandatory) | The vertical radius of the circle or ellipse.
a1 | (Mandatory) | The start angle of the arc in degrees. The angle is measured clockwise, with 0 degree being the upward pointing direction.
a2 | (Mandatory) | The end angle of the arc in degrees. The angle is measured clockwise, with 0 degree being the upward pointing direction.
c | (Mandatory) | The color of the arc.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.